Bug 65189 - problem between tcsh and files > 2GB
problem between tcsh and files > 2GB
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: tcsh (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-19 15:15 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-06 15:09:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-19 15:15:53 EDT
Description of Problem:
basic functions like 'cat' does not run correctly when using tcsh on files > 2GB 

Version-Release number of selected component (if applicable):
  tcsh-6.10-6

How Reproducible:
always reproducible....


Steps to Reproduce:
1. create a file > 2GB with dd
2. cat FILE > OTHER_NAME
3. 

Actual Results:

[taper@sialnx2 /backup]$ ls -l FILE
-rw-r--r--    1 root     root     3221225472 May 18 21:28 FILE
[taper@sialnx2 /backup]$ bash
bash-2.05a$ cat FILE > FILE2
bash-2.05a$ ls -l FILE2
-rw-rw-r--    1 taper    taper    3221225472 May 19 21:03 FILE2
bash-2.05a$ csh
[taper@sialnx2 /backup]$ cat FILE > FILE3
Filesize limit exceeded (core dumped)


Expected Results:


Additional Information:
	
The problem does not arise whith bash
The same srpm rebuild with 'gcc -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE'
solves the problem.
Comment 1 Need Real Name 2002-08-29 20:33:08 EDT
Probably related: wildcard expansion does not work correctly with > 2GB files.

Say you have a dir with 2 files:

file1   1GB
file2   3GB

then "echo *" results in "file1" instead of "file1 file2".
(observed with same tcsh-6.10-6 in RH 7.3)

    Greetings,
    Rob van Nieuwkerk
Comment 2 Bill Nottingham 2003-02-06 15:09:14 EST
This is fixed in the tcsh in 8.0.

Note You need to log in before you can comment on or make changes to this bug.